from django.urls import path

from .views import (index, homepage, BookListView, BookDetailView, BookCreateView, BookUpdateView,
    AuthorListView, AuthorDetailView, AuthorCreateView, AuthorUpdateView
    )


urlpatterns = [
    path('', index, name='index'),
    path('home', homepage, name='home'),
    path('books', BookListView.as_view(), name='books-list'),
    path('books/<int:pk>/details', BookDetailView.as_view(), name='books-detail'),
    path('books/add', BookCreateView.as_view(), name ='books-create'),
    path('books/<int:pk>/edit', BookUpdateView.as_view(), name ='books-update'),
    path('authors', AuthorListView.as_view(), name='authors-list'),
    path('authors/<int:pk>/details', AuthorDetailView.as_view(), name='authors-detail'),
    path('authors/add', AuthorCreateView.as_view(), name='authors-create'),
    path('authors/<int:pk>/edit', AuthorUpdateView.as_view(), name ='authors-update')
]

app_name = "bookshelf"
